Appframe Knowledge Base


1 hits
0

Build MSI packages for you Pims client

You can now build installer packages for your Pims Client via Login builder project.

  • Open Login builder project ("Appframe->Login Builder").
  • Configure your project or create new one.
  • In toolbar navigate and press "Build->Installer package..."
  • Supply comments for your build and press "Build".

Worth Noting:

  • You should open login builder where you usually build your "ClickOnce". Recommendation is to build it from our terminal servers.
  • Installer package underlying technology (windows installer) uses strict version number policy, only 3 part version numbering is actually used and there is limit for each version number [major].[minor].[build] to [0..255].[0..255].[0..65535].
  • You do not have to care about [build] version part. It will be incremented with every build of installer package.
  • Any number can reside in last part of version number (last number is sometimes called [revision] or [private]).

Installer Login Win · Perma link post comment Posted by: Tomas Dambrauskas (24-sep-2014)

Luke Simcock :
Thanks for this. I couldn't get it to work until i made the first box in the ‘Last Version’ a 0. For my clients I have been using 4.30.1.0 to start my versioning and it seems to be working fine. (15-jan-2015)